# copyright: 'Huynh Duong Phuong Vi @ 2013-2019'
# www.sketchupforyou.com
module S4U
	module S4u_toComponents 
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_tocomponents"
		Strings  = LanguageHandler.new(NAME + ".strings")
		TOOL=Strings["Components"]
		IS_WIN = Sketchup.platform == :platform_win 
		IS_OSX = Sketchup.platform == :platform_osx
		@ext = SketchupExtension.new(("s4u-" + TOOL),File.join(NAME,(NAME + "_loader")))
		@ext.copyright= 'Huynh Duong Phuong Vi @ 2013-2019'
		@ext.creator = 'Huynh Duong Phuong Vi (www.sketchupforyou.com)'
		@ext.version = '6.5.3'
		@ext.description = Strings["s4u toComponents allows convert Objects to components."]
		Sketchup.register_extension @ext, true
	end      
end
